import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class SignupButton extends StatelessWidget {
  final VoidCallback? onPressed;

  const SignupButton({
    super.key,
    required this.onPressed,
  });

  @override
  Widget build(BuildContext context) {
    return TextButton(
      onPressed: onPressed,
      child: Text(AppLocalizations.of(context)!.signup),
    );
  }
}